#
# Conditional build:
%bcond_with	gtk3		# use GTK+ 3.x instead of 2.x

Summary:	Process and resource monitor for MATE desktop
Summary(pl.UTF-8):	Monitor procesów w zasobów dla środowiska MATE
Name:		mate-system-monitor
Version:	1.10.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.10/%{name}-%{version}.tar.xz
# Source0-md5:	bf2335591e9810b1c8cad162cde8d3ee
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	glibmm-devel >= 2.26.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.20.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
%{!?with_gtk3:BuildRequires:	gtkmm-devel >= 2.22}
%{?with_gtk3:BuildRequires:	gtkmm3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.41.0
BuildRequires:	libgtop-devel >= 1:2.23.1
BuildRequires:	librsvg-devel >= 2.35
BuildRequires:	libtool >= 2:2.2
%{?with_gtk3:BuildRequires:	libwnck-devel >= 3.0.0}
%{!?with_gtk3:BuildRequires:	libwnck2-devel >= 2.5.0}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mate-common
BuildRequires:	mate-icon-theme-devel >= 1.1.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel
BuildRequires:	systemd-devel >= 44
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	glib2 >= 1:2.36.0
Requires:	glibmm >= 2.26.0
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.20.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
%{!?with_gtk3:Requires:	gtkmm >= 2.22}
%{?with_gtk3:Requires:	gtkmm3 >= 3.0.0}
Requires:	libgtop >= 1:2.23.1
Requires:	librsvg >= 2.35
%{?with_gtk3:Requires:	libwnck >= 3.0.0}
%{!?with_gtk3:Requires:	libwnck2 >= 2.5.0}
Requires:	mate-desktop
Requires:	mate-icon-theme >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mate-system-monitor allows to graphically view and manipulate the
running processes on your system. It also provides an overview of
available resources such as CPU and memory.

%description -l pl.UTF-8
mate-system-monitor pozwala na graficzny podgląd i operowanie na
procesach działających w systemie. Zapewnia także widok dostępnych
zasobów, takich jak procesor i pamięć.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-compile-warnings=minimum \
	%{?with_gtk3:--with-gtk=3.0}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/%{name}.convert

# not supported by glibc (as of 2.19-3)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/nah

desktop-file-install \
	--delete-original \
	--remove-category=MATE \
	--add-category=X-Mate \
	--dir $RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%find_lang %{name} --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/mate-system-monitor.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}
%{_datadir}/appdata/mate-system-monitor.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%changelog
* Wed Jul 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-system-monitor.git;a=log;h=master

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> 147efeb
- up to 1.10.1

* Sat May 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 9717584
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> b71efc5
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f853f22
- updated gettext BR

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 37eea6a
- libgtop rebuild
- release 2 (by relup.sh)

* Wed Jul 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 0300861
- cmn locale is supported now
- cleaned up scrollkeeper leftovers
- added gtk3 bcond

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 2fffd0d
- mate-doc-utils replaced by yelp-tools

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 8c23930
- up to 1.8.0
- libwnck support added upstream (use-libwnck.patch removed)
- remove unsupported locales: cmn, nah

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 31a4f9c
- pl, completed dependencies

* Fri Aug 16 2013 Elan Ruusamäe <glen@delfi.ee> 121467d
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 98ef0d5
- up to 1.6.0

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> 7492307
- use libwnck

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> 600b5d1
- add md5

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> 90ee71f
- update deps with cleanbuild

* Sun Feb 24 2013 Elan Ruusamäe <glen@delfi.ee> c2412ca
- new, version 1.5.1

